#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 what4
version:              1.5
visibility:           public
id:                   what4-1.5-4T1GrWSBDMlHKFroNcpZcM
key:                  what4-1.5-4T1GrWSBDMlHKFroNcpZcM
license:              BSD-3-Clause
copyright:            (c) Galois, Inc 2014-2023
maintainer:           rscott@galois.com, kquick@galois.com
author:               Galois Inc.
homepage:             https://github.com/GaloisInc/what4
synopsis:             Solver-agnostic symbolic values support for issuing queries
description:
    What4 is a generic library for representing values as symbolic formulae which may
    contain references to symbolic values, representing unknown variables.
    It provides support for communicating with a variety of SAT and SMT solvers,
    including Z3, CVC4, CVC5, Yices, Boolector, STP, and dReal.
    The data representation types make heavy use of GADT-style type indices
    to ensure type-correct manipulation of symbolic values.

category:             Formal Methods, Theorem Provers, Symbolic Computation, SMT
abi:                  b098d09416ac5c334f8e5da2bde4b354
exposed:              True
exposed-modules:
    Test.Verification What4.BaseTypes What4.Concrete What4.Config
    What4.Expr What4.Expr.Allocator What4.Expr.App What4.Expr.AppTheory
    What4.Expr.ArrayUpdateMap What4.Expr.BoolMap What4.Expr.Builder
    What4.Expr.GroundEval What4.Expr.MATLAB What4.Expr.Simplify
    What4.Expr.StringSeq What4.Expr.UnaryBV
    What4.Expr.VarIdentification What4.Expr.WeightedSum What4.FloatMode
    What4.FunctionName What4.IndexLit What4.Interface
    What4.InterpretedFloatingPoint What4.LabeledPred What4.Panic
    What4.Partial What4.ProblemFeatures What4.ProgramLoc
    What4.Protocol.Online What4.Protocol.PolyRoot
    What4.Protocol.ReadDecimal What4.Protocol.SExp
    What4.Protocol.SMTLib2 What4.Protocol.SMTLib2.Parse
    What4.Protocol.SMTLib2.Response What4.Protocol.SMTLib2.Syntax
    What4.Protocol.SMTWriter What4.Protocol.VerilogWriter
    What4.Protocol.VerilogWriter.ABCVerilog
    What4.Protocol.VerilogWriter.AST
    What4.Protocol.VerilogWriter.Backend What4.SFloat What4.SWord
    What4.SatResult What4.SemiRing What4.Serialize.FastSExpr
    What4.Serialize.Log What4.Serialize.Normalize
    What4.Serialize.Parser What4.Serialize.Printer
    What4.Serialize.SETokens What4.Solver What4.Solver.Adapter
    What4.Solver.Boolector What4.Solver.CVC4 What4.Solver.CVC5
    What4.Solver.DReal What4.Solver.ExternalABC What4.Solver.STP
    What4.Solver.Yices What4.Solver.Z3 What4.SpecialFunctions
    What4.Symbol What4.Utils.AbstractDomains What4.Utils.AnnotatedMap
    What4.Utils.Arithmetic What4.Utils.BVDomain
    What4.Utils.BVDomain.Arith What4.Utils.BVDomain.Bitwise
    What4.Utils.BVDomain.XOR What4.Utils.Complex What4.Utils.Endian
    What4.Utils.Environment What4.Utils.FloatHelpers
    What4.Utils.HandleReader What4.Utils.IncrHash What4.Utils.LeqMap
    What4.Utils.MonadST What4.Utils.OnlyIntRepr What4.Utils.Process
    What4.Utils.ResolveBounds.BV What4.Utils.Serialize
    What4.Utils.Streams What4.Utils.StringLiteral What4.Utils.Versions
    What4.Utils.Word16String What4.WordMap

import-dirs:          /usr/lib/ghc-9.0.2/site-local/what4-1.5
library-dirs:         /usr/lib/ghc-9.0.2/site-local/what4-1.5
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-what4
hs-libraries:         HSwhat4-1.5-4T1GrWSBDMlHKFroNcpZcM
depends:
    BoundedChan-1.0.3.0-Bevv2q2rRnjAUZpH50Qt9K
    async-2.2.5-FrngEs5mK8IFeImBJauzWE
    attoparsec-0.14.4-3oWeIwuAC9nGIXtuOKUSVb base-4.15.1.0
    bifunctors-5.6-CeRjEAKIagMFyNhpsYF0OA
    bimap-0.5.0-DXj0ETBWFqE3TwShzQKkqD
    bv-sized-1.0.5-5uGP3qTOfFx60wSREYNtkH bytestring-0.10.12.1
    concurrent-extra-0.7.0.12-1e2FJKOAXTLEKl1rRS99c7
    config-value-0.8.3-3pmzeYU8Vb25WTAZFoPyxS containers-0.6.4.1
    deepseq-1.4.5.0 deriving-compat-0.6.5-3cdsmO2CrkQ1VTvj9yP3wX
    directory-1.3.6.2 exceptions-0.10.4 filepath-1.4.2.1
    fingertree-0.1.5.0-82mxSFKVcEuKnEbT5RffJP ghc-prim-0.7.0
    hashable-1.4.3.0-GjMDKgDyLuqLq9SaBPRy7H
    hashtables-1.3.1-APpbqPONKzxGOxXJXbdWFT
    io-streams-1.5.2.2-8PCFPraBzv57NOFyKRDYxd
    lens-5.2.3-8A9Ft0s5Rnl3WMDQsguI4A
    libBF-0.6.5.1-8kgNnSA3YeV1Qj5WdNNFEz
    megaparsec-9.5.0-14H9epCYR8E4XmuvjMiHMy mtl-2.2.2
    ordered-containers-0.2.3-1tstpx5kksg3nCXqs5HGNP
    panic-0.4.0.1-2wjLiVfd2FlFLaw0kmLA9p
    parameterized-utils-2.1.8.0-IJVPcPAxJeRLVCPJTBk3Om parsec-3.1.14.0
    prettyprinter-1.7.1-JyvgGW5ahqrKgB1UQ5udU5 process-1.6.13.2
    s-cargot-0.1.5.0-JT27eO2DeV2GMw5N86qNwL
    scientific-0.3.7.0-2BROXMcphQvBvR7InQl0nB stm-2.5.0.0
    template-haskell-2.17.0.0 temporary-1.3-JLDSCbBrAxWGUYcFenGICE
    text-1.2.5.0 th-lift-0.8.4-4cyXLgXzVomInnuNEFv3vJ
    th-lift-instances-0.1.20-CZWPeBFfYya7lZBapKZmze time-1.9.3
    transformers-0.5.6.2 unliftio-0.2.25.0-3KLPdpqwawq1LMcNrWCiEc
    unordered-containers-0.2.20-GD5h4dXRiYp4CZJcEpki1R
    utf8-string-1.0.2-9eFA57BgKXNHtjvfuIOq9f
    vector-0.13.1.0-BQe94mmHcwnGaa4dX3J4G3
    versions-5.0.5-H1NAqjbqYJi7IeWxp8J48b
    zenc-0.1.2-HkkcIZlnoXX6rj8q9yVm5d

haddock-interfaces:   /usr/share/doc/haskell-what4/html/what4.haddock
haddock-html:         /usr/share/doc/haskell-what4/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

